# Class: MoneroAddressBookEntry

## MoneroAddressBookEntry()

Monero address book entry model

## Constructor

#### new MoneroAddressBookEntry()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 4

### Methods

#### getAddress()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 23

#### getDescription()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 32

#### getIndex()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 14

#### getPaymentId()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 41

#### setAddress()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 27

#### setDescription()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 36

#### setIndex()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 18

#### setPaymentId()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 45

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroAddressBookEntry.js, line 10